from setuptools import setup, Extension

setup(
    name='placeholder',
    version='1.2',
    description='Operator overloading for fast anonymous functions.',
    long_description=open('README.md').read(),
    long_description_content_type='text/markdown',
    author='Aric Coady',
    author_email='aric.coady@gmail.com',
    url='https://github.com/coady/placeholder',
    project_urls={'Documentation': 'https://coady.github.io/placeholder'},
    license='Apache Software License',
    packages=['placeholder'],
    package_data={'placeholder': ['py.typed']},
    zip_safe=False,
    ext_modules=[Extension('placeholder.partials', ['placeholder/partials.c'])],
    extras_require={'docs': open('docs/requirements.txt').read().splitlines()},
    python_requires='>=3.6',
    tests_require=['pytest-cov', 'pytest-parametrized'],
    keywords='functional lambda scala underscore',
    classifiers=[
        'Development Status :: 5 - Production/Stable',
        'Intended Audience :: Developers',
        'License :: OSI Approved :: Apache Software License',
        'Operating System :: OS Independent',
        'Programming Language :: Python :: 3',
        'Programming Language :: Python :: 3.6',
        'Programming Language :: Python :: 3.7',
        'Programming Language :: Python :: 3.8',
        'Programming Language :: Python :: 3.9',
        'Topic :: Software Development :: Libraries :: Python Modules',
        'Typing :: Typed',
    ],
)
